> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasnotificationevent.md).

# New-RASNotificationEvent.md

## NAME

New-RASNotificationEvent

## SYNOPSIS

Creates new event notification.

## SYNTAX

\*\*New-RASNotificationEvent \[-[Type](#Type)] {Agent | VDI | PubItem | License | Authentication | Tenant | FailedTunneledSess} \[[AllServers](#allservers-string) *(bool)*] \[[EnableGracePeriod](#enablegraceperiod-string) *(bool)*] \[[EnableInterval](#enableinterval-string) *(SwitchParameter)*] \[[ExecuteScript](#executescript-string) *(SwitchParameter)*] \[[GracePeriod](#graceperiod-string) *(uint)*] \[[Interval](#interval-string) *(uint)*] \[-[Recipients](#Recipients) *(string\[])*] \[[ScriptId](#scriptid-string) *(uint)*] \[-[ScriptObject](#ScriptObject) *(*[*NotificationScript*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)*)*] \[[SendEmail](#sendemail-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[-[TargetIds](#TargetIds) *(List\`1)*] \[-[TargetType](#TargetType) {AllServers | RDSHostPools | RDSHGroups | VDIHostPools | VDIPools | AVDHostPools | RemotePCs | SecureGateways | Gateways | Brokers | PublishingAgents | EnrollmentServers | ForceAllAgents}] \[[WaitUntilRecovered](#waituntilrecovered-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Creates notifications for events such as license activation, agent disconect/connect etc.

## PARAMETERS

## Type

([RASNotificationEventType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasnotificationeventtype.md)) Notification type.

Possible values: Agent, VDI, PubItem, License, Authentication, Tenant, FailedTunneledSess

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID where notification event is setup.

Current site ID is used if siteId is omitted.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## GracePeriod (uint)

Grace period after the notification was done (minutes).

```
        Required?                    false

        Position?                    named

        Default value                5

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableGracePeriod (bool)

Enable/Disable grace period.

```
        Required?                    false

        Position?                    named

        Default value                True

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Recipients (string\[])

Recipients to notify of the event.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SendEmail (bool)

Enable/Disable email notification.

```
        Required?                    false

        Position?                    named

        Default value                True

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptId (uint)

Script to execute which has this ID.

```
        Required?                    false

        Position?                    named

        Default value                4294967295

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ScriptObject

([NotificationScript](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationscript.md)) Script Object.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ExecuteScript (SwitchParameter)

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Interval (uint)

Invocation interval (minutes).

```
        Required?                    false

        Position?                    named

        Default value                10

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableInterval (SwitchParameter)

Enable/Disable notification intervals.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## WaitUntilRecovered (SwitchParameter)

Wait until recovered.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllServers (bool)

All servers in site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetType ([TargetType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/targettype.md))

Target type.

Possible values: AllServers, RDSHostPools, RDSHGroups, VDIHostPools, VDIPools, AVDHostPools, RemotePCs, SecureGateways, Gateways, Brokers, PublishingAgents, EnrollmentServers, ForceAllAgents

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TargetIds (List\`1)

Target Ids.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[NotificationEvent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationevent.md)

[NotificationEventCriteria](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/notificationeventcriteria.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASNotificationEvent -Type Agent

Creates a new notification for agent events.

## RELATED LINKS

* [Get-RASNotificationEvent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasnotificationevent.md)
* [Set-RASNotificationEvent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasnotificationevent.md)
* [Remove-RASNotificationEvent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasnotificationevent.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasnotificationevent.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
